Skip to main content
POST
/
email-campaigns
Create Campaign
curl --request POST \
  --url https://api.example.com/email-campaigns/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "workspace_id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "is_active": true,
  "send_priority": 100,
  "schedule_cron": "<string>",
  "recipient_source": "mssql_query",
  "mssql_query": "<string>",
  "csv_account_ids": [
    "<string>"
  ],
  "campaigner_category_id": "<string>",
  "from_email": "<string>",
  "from_name": "<string>",
  "reply_to": "<string>",
  "delivery_mode": "single_template",
  "template_id": "<string>",
  "variants": [
    {
      "template_id": "<string>",
      "weight": 123,
      "label": "<string>",
      "is_active": true
    }
  ]
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.montereyfinancial.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
workspace_id
string
required
name
string
required
description
string | null
is_active
boolean
default:true
send_priority
integer
default:100
schedule_cron
string | null
recipient_source
string
default:mssql_query
mssql_query
string | null
csv_account_ids
string[] | null
campaigner_category_id
string | null
from_email
string | null
from_name
string | null
reply_to
string | null
delivery_mode
string
default:single_template
template_id
string | null
variants
CampaignVariantInput · object[] | null

Response

Successful Response